curl -X PATCH "https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"alert_days": 14,
"enabled": true
}'
const response = await fetch('https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123', {
method: 'PATCH',
headers: {
'X-API-Key': 'your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
alert_days: 14,
enabled: true
})
});
const ssl_monitor = await response.json();
{
"id": "ssl_abc123",
"domain": "api.example.com",
"port": 443,
"alert_days": 14,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"certificate": {
"issuer": "Let's Encrypt Authority X3",
"subject": "api.example.com",
"valid_from": "2024-01-01T00:00:00Z",
"valid_to": "2024-04-01T00:00:00Z",
"days_until_expiry": 76,
"is_valid": true
},
"service_id": "svc_xyz789",
"updated_at": "2024-01-15T11:00:00Z"
}
SSL Monitors
Update SSL Monitor
Update an existing SSL certificate monitor’s configuration
PATCH
/
ssl-monitors
/
{id}
curl -X PATCH "https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"alert_days": 14,
"enabled": true
}'
const response = await fetch('https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123', {
method: 'PATCH',
headers: {
'X-API-Key': 'your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
alert_days: 14,
enabled: true
})
});
const ssl_monitor = await response.json();
{
"id": "ssl_abc123",
"domain": "api.example.com",
"port": 443,
"alert_days": 14,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"certificate": {
"issuer": "Let's Encrypt Authority X3",
"subject": "api.example.com",
"valid_from": "2024-01-01T00:00:00Z",
"valid_to": "2024-04-01T00:00:00Z",
"days_until_expiry": 76,
"is_valid": true
},
"service_id": "svc_xyz789",
"updated_at": "2024-01-15T11:00:00Z"
}
Path Parameters
string
required
The unique identifier of the SSL monitor to update
Request Body
All fields are optional. Only include fields you want to update.number
Days before expiration to trigger alerts
boolean
Enable or disable the monitor
string
Link to a different service, or
null to unlinkarray
Update notification channel IDs
Response
Returns the updated SSL monitor object.curl -X PATCH "https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"alert_days": 14,
"enabled": true
}'
const response = await fetch('https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123', {
method: 'PATCH',
headers: {
'X-API-Key': 'your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
alert_days: 14,
enabled: true
})
});
const ssl_monitor = await response.json();
{
"id": "ssl_abc123",
"domain": "api.example.com",
"port": 443,
"alert_days": 14,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"certificate": {
"issuer": "Let's Encrypt Authority X3",
"subject": "api.example.com",
"valid_from": "2024-01-01T00:00:00Z",
"valid_to": "2024-04-01T00:00:00Z",
"days_until_expiry": 76,
"is_valid": true
},
"service_id": "svc_xyz789",
"updated_at": "2024-01-15T11:00:00Z"
}